// https://api.fynn.ai/events
// https://vps.anotherfoxguy.com/dl/fur-events.json

const axios = require("axios").default;
const moment = require("moment");

const config = require("./config.json");

async function main() {
  // let data = (await axios("https://vps.anotherfoxguy.com/dl/fur-events.json")).data;
  let data = (await axios("https://api.fynn.ai/events")).data;

  let min = moment().add(1, "minutes"); // minutes
  let max = moment().add(61, "minutes");
  // let max = moment().add(8, "hours");

  //console.log(dat.data)

  data = data.filter((event) => event.type != "Lobby");
  const events = data.filter((event) =>
    moment.unix(event.start).isBetween(min, max)
  );

  evembeds = [];

  events.forEach((event) => {
    console.log(event.name);

    switch (event.type) {
      case "Meetup":
        colour = 1293056;
        break;
      case "Dance":
        colour = 16711922;
        break;
      case "Panel":
        colour = 16752128;
        break;
      default:
        colour = 34047;
    }

    let embed = {
      title: event.name, //`${event.name} will start in <t:${event.start}:R>`,// <t:1636124400:R>
      description: event.description.replace(/\\n/gm, "\n"),
      timestamp: moment.unix(event.start),
      url: `https://furality.org/schedule#${event.id}`,
      color: colour,
      fields: [
        {
          name: "Starts",
          value: `<t:${event.start}:R>`,
          inline: true,
        },
        {
          name: "Ends",
          value: `<t:${event.end}:R>`,
          inline: true,
        },
      ],
    };

    if (event.image_url != "missing") {
      embed.image = {
        url: event.image_url,
      };
    }

    evembeds.push(embed);
  });

  if (evembeds.length > 0) {
    axios
      .post(config.webhookurl, {
        embeds: evembeds,
      })
      .catch(function (error) {
        console.error(error);
      });

    // console.log(
    //   JSON.stringify({
    //     embeds: evembeds,
    //   })
    // );
  }

  //let event = data[1];
}

main();
